fetch_category () {
    echo "Fetching $1" > /dev/stderr
    json=`curl "https://wiki.linux-forks.de/mediawiki/api.php?action=query&format=json&list=categorymembers&cmtitle=Category:$1&cmlimit=max" 2>/dev/null`
    cities=`echo "$json" | json_reformat | sed -n 's/.*"title":\s*"\([^"]*\).*/\1/p' | tr ' ' '_' | tr '\n' ' '`
    num=`echo $cities | tr ' ' '\n' | wc -l`
    i=0
    echo "["
    for city in $cities; do
	let i++
	echo -n -e "\rFetched $i/$num" > /dev/stderr
	./fetch_single.sh "$city"
    done
    echo > /dev/stderr
    echo "{}]"
}

JSONDIR=../../htdocs/geojson

mkdir -p $JSONDIR


fetch_category Shops > $JSONDIR/shops.json
fetch_category City > $JSONDIR/cities.json
fetch_category Stations > $JSONDIR/stations.json
fetch_category Parks > $JSONDIR/parks.json
fetch_category Libraries > $JSONDIR/libraries.json
fetch_category "CW_Complexes" > $JSONDIR/cw_complexes.json
fetch_category Courts > $JSONDIR/courts.json
fetch_category Waterway > $JSONDIR/waterway.json
fetch_category Train_Depots > $JSONDIR/depots.json
